<?php
/* Exit if accessed directly */
if (!defined('ABSPATH')) {
  exit;
}

add_action('woocommerce_order_status_processing', 'enviar_solicitacao_metodo_entrega', 10, 1);

function enviar_solicitacao_metodo_entrega($order_id) {
  $order = wc_get_order($order_id);
  if (!$order) {
    // error_log("Pedido não encontrado");
    return;
  }

  $chosen_methods = $order->get_shipping_methods();
  $chosen_method = '';
  foreach ($chosen_methods as $chosen_method_data) {
    $chosen_method = $chosen_method_data['method_id'];
  }

  // error_log("Método escolhido: " . $chosen_method);

  if ($chosen_method != 'mapp_service') {
    return;
  }
  $enderecoDestino = get_destination_address($order);
  $tracking_number = save_service($enderecoDestino);
  // $tracking_number = "123456789"; // Número de rastreamento fixo para teste
  update_post_meta($order_id, 'tracking_number', $tracking_number);

  // error_log("Número de rastreamento salvo: " . $tracking_number);
}

function get_destination_address($order)
{

  $destination_address = [
    'address_1' => $order->get_shipping_address_1(),
    'address_2' => $order->get_shipping_address_2(),
    'neighborhood' => $order->get_meta('_shipping_neighborhood'),
    'number' => $order->get_meta('_shipping_number'),
    'city' => $order->get_shipping_city(),
    'state' => $order->get_shipping_state(),
    'postcode' => $order->get_shipping_postcode(),
    'first_name' => $order->get_shipping_first_name(),
    'last_name' => $order->get_shipping_last_name(),
    'phone' => $order->get_shipping_phone(),
    'phone_billing' => $order->get_billing_phone()
  ];

  if (!empty($order->get_meta('_shipping_neighborhood'))) {
    $destination_address['neighborhood'] = $order->get_meta('_shipping_neighborhood');
  }

  return $destination_address;
}
