<?php
/* Exit if accessed directly */
if (!defined('ABSPATH')) {
  exit;
}

add_action('woocommerce_order_details_after_order_table', 'adicionar_rastreamento_pedido');

function adicionar_rastreamento_pedido($order)
{
  // Verifique se o método de entrega é o seu método personalizado
  $chosen_methods = $order->get_shipping_methods();
  $chosen_method = '';
  foreach ($chosen_methods as $chosen_method_data) {
    $chosen_method = $chosen_method_data['method_id'];
  }

  if ($chosen_method == 'mapp_service') {
    // Obtenha as informações necessárias do pedido, como o número de rastreamento
    $tracking_number = get_post_meta($order->get_id(), 'tracking_number', true);

    // Faça a consulta à API de rastreamento, usando o número de rastreamento
    $tracking_info = consultar_api_rastreamento($tracking_number);

    // Exiba as informações de rastreamento
    if ($tracking_info) {
      echo '<h2 class="woocommerce-column__title">Informações de Rastreamento</h2>';
      // echo '<p>Status: ' . esc_html($tracking_info['status']) . '</p>';
      echo '<p style="margin-bottom:0;">Codigo do Serviço: ' . esc_html($tracking_number) . '</p>';
      echo '<p>Link de Rastreamento: <a href="'.esc_html($tracking_info['urlRastreamento']).'" target="_blank">' . esc_html($tracking_info['urlRastreamento']) . '</a></p>';
      echo '<br />';
    } else {
      echo '<h2 class="woocommerce-column__title">Informações de Rastreamento</h2>';
      echo '<p style="margin-bottom:0;">Codigo do Serviço: ' . esc_html($tracking_number) . '</p>';
      echo '<p>Informações de rastreamento não disponíveis no momento.</p>';
      echo '<br />';
    }
  } else {
    // echo '<p>Este pedido não foi enviado usando o método personalizado.</p>';
  }
}

function consultar_api_rastreamento($tracking_number)
{
  $tracking_info_resp = status_service($tracking_number);
  $tracking_info = false;

  if (isset($tracking_info_resp['urlRastreamento']) && $tracking_info_resp['urlRastreamento'] != '') {
    $tracking_info = [
      'status' => 'Processando encomenda =>' . json_encode($tracking_info_resp, JSON_UNESCAPED_UNICODE),
      'urlRastreamento' => isset($tracking_info_resp['urlRastreamento']) ? $tracking_info_resp['urlRastreamento'] : null,
    ];
  }

  // Retorne as informações de rastreamento
  return $tracking_info;
}
