<?php
/*
Plugin Name: VestApp Entregas
Description: Plugin integrador da VestApp Entregas.
Version: 1.2.0
Author: VestApp TI
Author URI: https://vestappbr.com.br/integracoes/
*/

// Sair se acessado diretamente.
if (!defined('ABSPATH')) {
    exit;
}

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    // Carregar arquivos necessários.
    require_once plugin_dir_path(__FILE__) . 'includes/admin-page.php';
    require_once plugin_dir_path(__FILE__) . 'includes/api-functions.php';
    require_once plugin_dir_path(__FILE__) . 'includes/order-method.php';
    require_once plugin_dir_path(__FILE__) . 'includes/order-tracking.php';
    require_once plugin_dir_path(__FILE__) . 'includes/custom-shipping-method.php';
    // adicionando botao de configuracoes na pagina do plugin
    function mapp_shipping_settings_link($actions, $plugin_file) {
        static $plugin;
    
        if (!isset($plugin)) {
            $plugin = plugin_basename(__FILE__);
        }
    
        // Verifique se o plugin é o correto
        if ($plugin == $plugin_file) {
    
            // Link de configurações
            $settings = array('settings' => '<a href="' . admin_url('admin.php?page=mapp-shipping-settings') . '">' . __('Configurações', 'text-domain') . '</a>');
    
            // Colocar o link de configurações antes de outros links
            $actions = array_merge($settings, $actions);
        }
    
        return $actions;
    }
    add_filter('plugin_action_links', 'mapp_shipping_settings_link', 10, 5);
} else {
    add_action('admin_notices', 'woocommerce_shipping_service_plugin_notice');

    function woocommerce_shipping_service_plugin_notice()
    {
        echo '<div class="error notice"><p>' . _e('O plugin WooCommerce Shipping Service Plugin precisa do WooCommerce para funcionar corretamente.', 'woocommerce-shipping-service-plugin') . '</div>';
    }
}
